Bug 674078 - pools with a start date of today don't show up in the search
Summary: pools with a start date of today don't show up in the search
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.5
Hardware: Unspecified
OS: Solaris
high
unspecified
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta 675244
TreeView+ depends on / blocked
 
Reported: 2011-01-31 15:20 UTC by James Bowes
Modified: 2015-05-14 15:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 675244 (view as bug list)
Environment:
Last Closed: 2011-02-23 21:51:34 UTC


Attachments (Terms of Use)

Description James Bowes 2011-01-31 15:20:45 UTC
against the qa env, if i follow the instructions in https://bugzilla.redhat.com/show_bug.cgi?id=671180#c0
to create a new user and personal sub, when i create my person consumer and fire up the gui, a search for subscriptions that are valid for today returns no results, even though in the qa webui it says my subscription starts today. The same happens if i do subscribe, create a system consumer, and search for the newly created subpool.

searching for subs that are active tomorrow works as expected.

Comment 1 James Bowes 2011-02-03 19:30:51 UTC
fixed now in beta and master. needs the latest versions of python-rhsm, subscription-manager, and candlepin

Comment 2 John Sefler 2011-02-04 23:17:34 UTC
moving back to ASSIGNED
Same comments as https://bugzilla.redhat.com/show_bug.cgi?id=675244

Comment 3 James Bowes 2011-02-07 16:33:53 UTC
new fix to use the same timestamp in the 'first date of noncompliance' option as for the date picker is in git now.

Comment 4 John Sefler 2011-02-07 21:22:01 UTC
moving to VERIFIED
Same comments as https://bugzilla.redhat.com/show_bug.cgi?id=675244#c8


Note You need to log in before you can comment on or make changes to this bug.